// You can import API functions like this from D3.js.
import { select, csv } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');


const render = (data, value, name, position) => {
   const g = svg.append('g').attr('transform',`translate(${0}, ${0})`);
  
  g.selectAll('rect')
	.data(data)
  .enter()
  .append('rect')
	.attr('width', 5)
  .attr('height', (value*100)/height)
  .attr('x', position)
  .attr('y', height)
	}

csv('data.csv').then(function(data) {
  let position = 0
  
  data.forEach(function(d) {
    let name = d.Country
    let value = d['2022 Population']
    position = position + 5
    
    console.log(name, value)
    
    render(data, value, name, position)
  });
});

const getHeight = (value) => {

}